updates for karmic and lucid needed to get maven plugins building

Bug #461090 reported by Matthias Klose on 2009-10-26
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
antlr (Ubuntu)
Medium
Matthias Klose
Karmic
Medium
Matthias Klose
asm2 (Ubuntu)
Medium
Matthias Klose
Karmic
Medium
Matthias Klose
bcel (Ubuntu)
Medium
Unassigned
Karmic
Medium
Unassigned
groovy (Ubuntu)
Medium
Unassigned
Karmic
Medium
Unassigned
jline (Ubuntu)
Medium
Matthias Klose
Karmic
Medium
Matthias Klose
libregexp-java (Ubuntu)
Medium
Unassigned
Karmic
Medium
Unassigned
libxpp3-java (Ubuntu)
Medium
Unassigned
Karmic
Medium
Unassigned
libxstream-java (Ubuntu)
Medium
Unassigned
Karmic
Medium
Unassigned

Bug Description

Binary package hint: antlr

this report holds all updates for karmic needed to get maven plugins building and working. Test packages can be found in https://launchpad.net/~ubuntu-java/+archive/maven

Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :

asm2 should be "synced", verified that there are only additional files in the binary package

Changed in asm2 (Ubuntu):
importance: Undecided → Medium
milestone: none → karmic-updates
status: New → In Progress
Matthias Klose (doko) wrote :

jline should be "synced", verified that there are only additional files in the binary package

Changed in jline (Ubuntu):
importance: Undecided → Medium
milestone: none → karmic-updates
status: New → In Progress
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) on 2009-10-26
Changed in antlr (Ubuntu Karmic):
importance: Undecided → Medium
milestone: none → karmic-updates
status: New → In Progress
Changed in bcel (Ubuntu Karmic):
importance: Undecided → Medium
milestone: none → karmic-updates
status: New → In Progress
Changed in groovy (Ubuntu Karmic):
importance: Undecided → Medium
milestone: none → karmic-updates
status: New → In Progress
Changed in libregexp-java (Ubuntu Karmic):
importance: Undecided → Medium
milestone: none → karmic-updates
status: New → In Progress
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) on 2009-10-26
Changed in libxpp3-java (Ubuntu Karmic):
importance: Undecided → Medium
milestone: none → karmic-updates
status: New → In Progress
Changed in libxstream-java (Ubuntu Karmic):
importance: Undecided → Medium
milestone: none → karmic-updates
status: New → In Progress
Matthias Klose (doko) wrote :

The following packages need no-change uploads for karmic-proposed:

No build fauilures:
maven-war-plugin
maven-javadoc-plugin
maven-invoker-plugin
maven-ejb-plugin
maven-ear-plugin
maven-antrun-plugin
doxia-maven-plugin
clirr-maven-plugin

Build failures:
maven-repository-builder
plexus-active-collections

Dependency wait:
maven-assembly-plugin

Matthias Klose (doko) wrote :

To get the maven POM's for lucid, the following packages should be synced, all overwriting the debian changes in the packages:

asm2 2.2.3-4
bcel 5.2-6
jline 0.9.94-5
libregexp-java 1.5-2
libxpp3-java 1.1.4c-1
libxstream-java (1.3.1-5
cglib 2.2+dfsg-1

cglib is a new package, required by libxstream-java.

prepared lucid merges for antlr, groovy and libcommons-cli-java.

summary: - updates for karmic needed to get maven plugins building
+ updates for karmic and lucid needed to get maven plugins building
Martin Pitt (pitti) wrote :

I am reviewing these packages in -proposed. Changes which just add POM files are approved. I'll mark the reviewed ones as "fix committed" for bookkeeping.

Changed in antlr (Ubuntu Karmic):
assignee: nobody → Matthias Klose (doko)
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

The asm2 upload changes packaging a lot, removes old changelogs, and has other unrelated changes, so this needs a deeper look. I'd prefer if you could just do an upload based on the current karmic package instead of uploading a merge that bases off an earlier version.

Changed in asm2 (Ubuntu Karmic):
status: In Progress → Incomplete
assignee: nobody → Matthias Klose (doko)
Changed in bcel (Ubuntu Karmic):
status: In Progress → Fix Committed
Changed in groovy (Ubuntu Karmic):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Rejecting jline upload:

--- jline-0.9.94/debian/libjline-java-doc.install
+++ jline-0.9.94/debian/libjline-java-doc.install
@@ -1,2 +1,2 @@
-api/* usr/share/doc/libjline-java-doc/api
+api/* usr/share/doc/libjline-java/api

Moves files around without declaring proper Replaces:/Conflicts. Please reupload without the moved files.

Changed in jline (Ubuntu Karmic):
assignee: nobody → Matthias Klose (doko)
status: In Progress → Triaged
Changed in libregexp-java (Ubuntu Karmic):
status: In Progress → Fix Committed
Changed in libxstream-java (Ubuntu Karmic):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Matthias, there is no libxpp3-java upload in the queue, is it supposed to be?

Matthias Klose (doko) wrote :

uploaded libxpp3-java, and re-uploaded jline, adding a symlink for the docs; no conflicts/replaces are needed, the files stay in the same binary package.

Changed in jline (Ubuntu Karmic):
status: Triaged → In Progress
Matthias Klose (doko) wrote :

asm2: I looked at the binary package and verified that only additional files are in the new package; doing the installations for every jar/pom looked more error prone.

Changed in asm2 (Ubuntu Karmic):
status: Incomplete → In Progress
Martin Pitt (pitti) on 2009-10-28
Changed in libxpp3-java (Ubuntu Karmic):
status: In Progress → Fix Committed
Changed in jline (Ubuntu Karmic):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted antlr into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted bcel into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted groovy into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted libxstream-java into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted libregexp-java into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted libxpp3-java into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted jline into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted asm2 into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in asm2 (Ubuntu Karmic):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

> No build fauilures:
> maven-war-plugin
> maven-javadoc-plugin
> maven-invoker-plugin
> maven-ejb-plugin
> maven-ear-plugin
> maven-antrun-plugin
> doxia-maven-plugin
> clirr-maven-plugin

Accepted into karmic-proposed.

Martin Pitt (pitti) wrote :

Matthias just uploaded groovy, libcommons-java, and antlr to lucid.

Changed in groovy (Ubuntu):
milestone: karmic-updates → none
status: Fix Committed → Fix Released
Changed in antlr (Ubuntu):
milestone: karmic-updates → none
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I synced the packages from comment 10 into lucid.

Changed in asm2 (Ubuntu):
milestone: karmic-updates → none
status: Fix Committed → Fix Released
Changed in bcel (Ubuntu):
milestone: karmic-updates → none
status: Fix Committed → Fix Released
Changed in jline (Ubuntu):
milestone: karmic-updates → none
status: Fix Committed → Fix Released
Changed in libregexp-java (Ubuntu):
milestone: karmic-updates → none
status: Fix Committed → Fix Released
Changed in libxpp3-java (Ubuntu):
milestone: karmic-updates → none
status: Fix Committed → Fix Released
Changed in libxstream-java (Ubuntu):
milestone: karmic-updates → none
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I copied the build1 karmic-proposed packages from comment 9 to lucid, except maven-ear-plugin which is still pending publication. Will do that in an hour.

Martin Pitt (pitti) wrote :

maven-ear-plugin copied to lucid, too.

Matthias Klose (doko) wrote :

packages for lucid are done. maven packages for karmic-proposed did build (verified). Thierry, please verify that the updates don't break eucalyptus.

Martin Pitt (pitti) wrote :

I did binary debdiff checks between the karmic-final and karmic-proposed packages. Expected results: most packages are identical (-doc, -dev, etc.), and the -java packages just have new pom files and .jar symlinks in /usr/share/maven-repo/.

antlr: OK
asm2: proposed -doc package has a ton of new documentation files (/usr/share/doc/); not really important for this SRU, but *shrug*; otherwise OK
bcel: postinst/prerm dropped from -doc and -java. This looks fishy and needs closer examination (the source package didn't change in that regard, must be different java toolchain)
groovy: OK
jline: -doc dropped postinst/prerm (needs closer investigation), and -doc files moved from /usr/share/doc/libjline-java/ to /usr/share/doc/libjline-java-doc/ with a symlink to the old location (that was expected)
libregexp-java: dropped postinst/prerm
libxpp3-java: dropped postinst/prerm
libxstream-java: OK

Martin Pitt (pitti) wrote :

libxpp3-java, libregexp-java, libbcel-java-doc dropped the autogenerated install-docs calls:

----------- postinst ---------------
#!/bin/sh
set -e
# Automatically added by dh_installdocs
if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
        install-docs -i /usr/share/doc-base/libxpp3-java
fi
# End automatically added section
----------- prerm ---------------
#!/bin/sh
set -e
# Automatically added by dh_installdocs
if [ "$1" = remove ] || [ "$1" = upgrade ] && \
   which install-docs >/dev/null 2>&1; then
 install-docs -r libxpp3-java
fi
# End automatically added section
----------------------------------

libbcel-java didn't drop postinst/prerm, and is fine.

I think they should be put back. I assume that something in the build system chagned which dropped dh_installdocs?

Thierry Carrez (ttx) wrote :

Tested the upgrade of a UEC system to current karmic-proposed, and ran a few instances OK.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package antlr - 2.7.7-11ubuntu2

---------------
antlr (2.7.7-11ubuntu2) karmic-proposed; urgency=low

  * Add maven POM. LP: #461090.

 -- Matthias Klose <email address hidden> Mon, 26 Oct 2009 14:15:04 +0200

Changed in antlr (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package asm2 - 2.2.3-4~ubuntu1

---------------
asm2 (2.2.3-4~ubuntu1) karmic-proposed; urgency=low

  * Update to add Maven POMs to the package. LP: #461090.

asm2 (2.2.3-4) unstable; urgency=low

  * Upload to unstable.

asm2 (2.2.3-3) experimental; urgency=low

  * Change section to java, bump up Standards-Version to 3.8.2
  * Update debhelper compat to 6
  * Remove Depends on Java runtimes as it is a library
  * Add ${misc:Depends} to Depends to clear Lintian warnings
  * Add the Maven POMs to the package
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Add a Build-Depends dependency on quilt
  * Patch the build.xml script to work properly (was FTBFS on my machine)
  * Move api documentation to /usr/share/doc/libasm2/api

  [Damien Raude-Morvan]
  * Removed Marcus Crafter from Uploaders (Closes: #521479)

 -- Matthias Klose <email address hidden> Mon, 26 Oct 2009 14:36:20 +0100

Changed in asm2 (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package groovy - 1.6.3-1ubuntu3

---------------
groovy (1.6.3-1ubuntu3) karmic-proposed; urgency=low

  * Add maven POM data. LP: #461090.

 -- Matthias Klose <email address hidden> Mon, 26 Oct 2009 12:58:35 +0100

Changed in groovy (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxstream-java - 1.3.1-1ubuntu4

---------------
libxstream-java (1.3.1-1ubuntu4) karmic-proposed; urgency=low

  * Add maven POM. LP: #461090.

 -- Matthias Klose <email address hidden> Mon, 26 Oct 2009 16:44:26 +0100

Changed in libxstream-java (Ubuntu Karmic):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I copied the "OK" packages from comment 31 to -updates.

Matthias Klose (doko) wrote :

this is from a change in debhelper, it should be ok for karmic-proposed, the debhelper version is recent enough

debhelper (7.2.3) unstable; urgency=low

  * dh_installdocs: No longer add maintainer script code to call
    doc-base, as it supports triggers in stable.

Martin Pitt (pitti) wrote :

Ah, perfect, thanks Matthias! Copying to -updates.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bcel - 5.2-3ubuntu4

---------------
bcel (5.2-3ubuntu4) karmic-proposed; urgency=low

  * Add maven POM to the package. LP: #461090.

 -- Matthias Klose <email address hidden> Mon, 26 Oct 2009 15:30:11 +0100

Changed in bcel (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxpp3-java - 1.1.3.4.O-4ubuntu2

---------------
libxpp3-java (1.1.3.4.O-4ubuntu2) karmic-proposed; urgency=low

  * Add maven POM. LP: #461090.
  * Add a Build-Depends-Indep dependency on maven-repo-helper.

 -- Matthias Klose <email address hidden> Mon, 26 Oct 2009 17:19:45 +0100

Changed in libxpp3-java (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libregexp-java - 1.4-5ubuntu2

---------------
libregexp-java (1.4-5ubuntu2) karmic-proposed; urgency=low

  * Add maven POM. LP: #461090.

 -- Matthias Klose <email address hidden> Mon, 26 Oct 2009 15:44:42 +0200

Changed in libregexp-java (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jline - 0.9.94-5~ubuntu1

---------------
jline (0.9.94-5~ubuntu1) karmic-proposed; urgency=low

  * Merge to add Maven POM to the package. LP: #461090.

 -- Matthias Klose <email address hidden> Mon, 26 Oct 2009 14:58:48 +0100

Changed in jline (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers